Interface SwaggerVpgResource
@Path("/vpgs")
@Consumes("application/json")
@Produces("application/vnd.ilandcloud.api.v1.0+json")
public interface SwaggerVpgResource
-
Method Summary
Modifier and TypeMethodDescriptionaddVpgFailoverTestAlert(String vpgUuid, FailoverTestAlertCreateRequest alert) Add a VPG Failover Test Alert for the given VPG.com.iland.core.web.rest.response.task.TaskResponsecommitFailover(String vpgUuid) Commits changes after a live failover.downloadFailoverReport(String vpgUuid, String reportUuid, String filename) Gets a failover report for a task.com.iland.core.web.rest.response.task.TaskResponsefailover(String vpgUuid, FailoverCreateRequest params) Initiates a live failover on the VPG.com.iland.core.web.rest.response.task.TaskResponsefailoverTestForVpg(String vpgUuid, FailoverTestCreateRequest params) Test failover for a VPG.com.iland.core.web.rest.response.task.TaskResponsefailoverTestStop(String vpgUuid, FailoverTestStopCreateRequest params) Stop a VPG failover test and provide feedback as to whether the test was successful.getCheckpoints(String vpgUuid) Get checkpoints for a VPG.getFailoverTaskDetails(String vpgUuid, String taskUuid) Gets failover report details for a failover task.getPerformanceCountersForVpg(String vpgUuid) Get the list of performance counters that can be used to query for VPG performance data.Returns VPG performance samples given a performance serie information.getServiceProfile(String vpgUuid) Gets the service profile for a VPG.getVmsForVpg(String vpgUuid) Gets the VMs that belong to a VPG.getVpg(String vpgUuid, List<VpgSubEntityRequest> expand) Gets a VPG by UUID, with options to expand child entites.getVpgFailoverTestAlertFor(String vpgUuid) Retrieve the VPG Failover Test Alert for the given VPG.voidremoveVpgFailoverTestAlert(String vpgUuid) Remove the VPG Failover Test Alert for the given VPG.com.iland.core.web.rest.response.task.TaskResponserollbackFailover(String vpgUuid) Rolls back changes after a live failover.
-
Method Details
-
getVpgFailoverTestAlertFor
@GET @Path("/{vpgUuid}/failover-test-alerts") FailoverTestAlertResponse getVpgFailoverTestAlertFor(@PathParam("vpgUuid") String vpgUuid) Retrieve the VPG Failover Test Alert for the given VPG.- Parameters:
vpgUuid- vpg uuid- Returns:
- zerto failover test alert
-
addVpgFailoverTestAlert
@POST @Path("/{vpgUuid}/actions/add-failover-test-alert") @Consumes("application/json") FailoverTestAlertResponse addVpgFailoverTestAlert(@PathParam("vpgUuid") String vpgUuid, FailoverTestAlertCreateRequest alert) Add a VPG Failover Test Alert for the given VPG.- Parameters:
vpgUuid- vpg uuidalert- zerto failover test alert- Returns:
- zerto failover test alert
-
removeVpgFailoverTestAlert
@DELETE @Path("/{vpgUuid}/actions/remove-failover-test-alert") void removeVpgFailoverTestAlert(@PathParam("vpgUuid") String vpgUuid) Remove the VPG Failover Test Alert for the given VPG.- Parameters:
vpgUuid- vpg uuid
-
getPerformanceForVpg
@GET @Path("/{vpgUuid}/performance/{group}::{name}::{type}") PerfSampleSerieResponse getPerformanceForVpg(@PathParam("vpgUuid") String vpgUuid, @PathParam("group") String group, @PathParam("name") String name, @PathParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Returns VPG performance samples given a performance serie information.- Parameters:
vpgUuid- the VPG unique identifier.group- performance counter group namename- performance counter nametype- performance counter typestart- start dateend- end date- Returns:
- a performance serie for the vpg, counter and time range
-
failoverTestForVpg
@POST @Path("/{vpgUuid}/actions/failover-test") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse failoverTestForVpg(@PathParam("vpgUuid") String vpgUuid, FailoverTestCreateRequest params) Test failover for a VPG.- Parameters:
vpgUuid- the VPG unique identifierparams- the failover test parameters- Returns:
- asynchronous task details
-
failoverTestStop
@POST @Path("/{vpgUuid}/actions/failover-test-stop") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse failoverTestStop(@PathParam("vpgUuid") String vpgUuid, FailoverTestStopCreateRequest params) Stop a VPG failover test and provide feedback as to whether the test was successful.- Parameters:
vpgUuid- the UUID of the VPG.params- the failover test stop parameters- Returns:
- asynchronous task details
-
getVpg
@GET @Path("/{vpgUuid}") ExpandedVpgResponse getVpg(@PathParam("vpgUuid") String vpgUuid, @QueryParam("expand") List<VpgSubEntityRequest> expand) Gets a VPG by UUID, with options to expand child entites.- Parameters:
vpgUuid- the UUID of the VPG.- Returns:
- the VPG
-
getVmsForVpg
Gets the VMs that belong to a VPG.- Parameters:
vpgUuid- the UUID of the VPG- Returns:
- the list of VPG VMs
-
getServiceProfile
@GET @Path("/{vpgUuid}/service-profile") ServiceProfileResponse getServiceProfile(@PathParam("vpgUuid") String vpgUuid) Gets the service profile for a VPG.- Parameters:
vpgUuid- the UUID of the VPG- Returns:
- the service profile information for the VPG
-
failover
@POST @Path("/{vpgUuid}/actions/failover") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse failover(@PathParam("vpgUuid") String vpgUuid, FailoverCreateRequest params) Initiates a live failover on the VPG.- Parameters:
vpgUuid- the UUID of the VPGparams- the failover parameters- Returns:
- asynchronous task details
-
commitFailover
@POST @Path("/{vpgUuid}/actions/failover-commit") com.iland.core.web.rest.response.task.TaskResponse commitFailover(@PathParam("vpgUuid") String vpgUuid) Commits changes after a live failover.- Parameters:
vpgUuid- the UUID of the VPG- Returns:
- asynchronous task details
-
rollbackFailover
@POST @Path("/{vpgUuid}/actions/failover-rollback") com.iland.core.web.rest.response.task.TaskResponse rollbackFailover(@PathParam("vpgUuid") String vpgUuid) Rolls back changes after a live failover.- Parameters:
vpgUuid- the UUID of the VPG- Returns:
- asynchronous task details
-
getCheckpoints
@GET @Path("/{vpgUuid}/checkpoints") VpgCheckpointListResponse getCheckpoints(@PathParam("vpgUuid") String vpgUuid) Get checkpoints for a VPG.- Parameters:
vpgUuid- the UUID of the VPG- Returns:
- list of checkpoints
-
getFailoverTaskDetails
@GET @Path("/{vpgUuid}/failover-task-details/{taskUuid}") FailoverReportDetailsResponse getFailoverTaskDetails(@PathParam("vpgUuid") String vpgUuid, @PathParam("taskUuid") String taskUuid) Gets failover report details for a failover task.- Parameters:
taskUuid- the uuid of the task to retrieve the report for- Returns:
- failover report details
-
downloadFailoverReport
@GET @Path("/{vpgUuid}/failover-reports/{reportUuid}") @Produces("application/vnd.ilandcloud.api.v1.0+pdf") InputStream downloadFailoverReport(@PathParam("vpgUuid") String vpgUuid, @PathParam("reportUuid") String reportUuid, @QueryParam("filename") String filename) Gets a failover report for a task.The UUID of the task for the failover operation is the report UUID.
- Parameters:
reportUuid- the UUID of the task to retrieve the report for- Returns:
- failover report
-
getPerformanceCountersForVpg
@GET @Path("/{vpgUuid}/performance-counters") PerformanceCounterListResponse getPerformanceCountersForVpg(@PathParam("vpgUuid") String vpgUuid) Get the list of performance counters that can be used to query for VPG performance data.- Parameters:
vpgUuid- vpg uuid- Returns:
- the list of performance counters
-